Developer Portal
Build, test, and earn with Jubilq.
Test keys work instantly. Request live mode when your integration is ready.
Create developer app
Event Auto-Publish API
When you list an event on your website or app, send a POST request with your API Key. Jubilq will publish the event instantly, using your original post URL and direct poster image URL without downloading or copying your image into storage.
POST /api/v1/events
curl -X POST https://jubilq.com/api/v1/events \
-H "Authorization: Bearer jubilq_live_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"title": "Lagos Tech & Music Summit 2026",
"description": "The ultimate tech and nightlife festival in Victoria Island.",
"external_link": "https://yourapp.com/events/lagos-tech-music-2026",
"image_url": "https://yourapp.com/cdn/posters/summit.jpg",
"state": "Lagos",
"town": "Victoria Island",
"address": "Eko Hotel & Suites, Victoria Island",
"category": "Tech",
"start_time": "2026-11-20T18:00:00Z",
"end_time": "2026-11-20T23:30:00Z",
"ticket_tiers": [
{ "name": "Early Bird", "price": 5000 },
{ "name": "VIP Pass", "price": 25000 }
]
}'Loading developer apps...